uniform float ptimer;
varying vec3 coord;
varying vec3 vcoord;
varying vec3 normal;

void main()
{
	normal = normalize(gl_NormalMatrix * gl_Normal);

	gl_TexCoord[0] = gl_MultiTexCoord0;

	vec4 v = vec4(gl_Vertex);

	gl_Position = gl_ModelViewProjectionMatrix * v;

	vcoord = vec3(gl_Position);

	coord = vec3(gl_Vertex);
}
